VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Appliance::Techpreview::Networking::Firewall::Addr::Inbound::FirewallAddressRule Class Reference
Inheritance diagram for Com::Vmware::Appliance::Techpreview::Networking::Firewall::Addr::Inbound::FirewallAddressRule:

## Avaliable Methods
public method | get_interface_name ()
public method | set_prefix ()
public method | set_policy ()
public method | get_address ()
public method | set_address ()
public method | set_interface_name ()
public method | get_prefix ()
public method | new ()
public method | get_policy ()

## Detailed Description

`Com::Vmware::Appliance::Techpreview::Networking::Firewall::Addr::Inbound::FirewallAddressRule` class* Structure that defines a single address-based firewall rule.

## Member Function Documentation

public method Com::Vmware::Appliance::Techpreview::Networking::Firewall::Addr::Inbound::FirewallAddressRule::get_address | ( |  | ) |

Gets the value of 'address' property.

Return values

  address | - The current value of the field. IPv4 or IPv6 address. String#

Code:
click to view
# Number of lines of code in get_address: 4
sub get_address {
my ($self, %args) = @_;
return $self->{'address'};
}

public method Com::Vmware::Appliance::Techpreview::Networking::Firewall::Addr::Inbound::FirewallAddressRule::get_interface_name | ( |  | ) |

Gets the value of 'interface_name' property.

Return values

  interface_name | - The current value of the field. The interface to which this rule applies. An empty string or "*" indicates that the rule applies to all interfaces. String#

Code:
click to view
# Number of lines of code in get_interface_name: 4
sub get_interface_name {
my ($self, %args) = @_;
return $self->{'interface_name'};
}

public method Com::Vmware::Appliance::Techpreview::Networking::Firewall::Addr::Inbound::FirewallAddressRule::get_policy | ( |  | ) |

Gets the value of 'policy' property.

Return values

  policy | - The current value of the field. The allow or deny policy of this rule. FirewallRulePolicy#

Code:
click to view
# Number of lines of code in get_policy: 4
sub get_policy {
my ($self, %args) = @_;
return $self->{'policy'};
}

public method Com::Vmware::Appliance::Techpreview::Networking::Firewall::Addr::Inbound::FirewallAddressRule::get_prefix | ( |  | ) |

Gets the value of 'prefix' property.

Return values

  prefix | - The current value of the field. CIDR prefix used to mask address. For example, an IPv4 prefix of 24 ignores the low-order 8 bits of address. long#

Code:
click to view
# Number of lines of code in get_prefix: 4
sub get_prefix {
my ($self, %args) = @_;
return $self->{'prefix'};
}

public method Com::Vmware::Appliance::Techpreview::Networking::Firewall::Addr::Inbound::FirewallAddressRule::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Appliance::Techpreview::Networking::Firewall::Addr::Inbound::FirewallAddressRule structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 22
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{address} = $args{'address'};
$self->{prefix} = $args{'prefix'};
$self->{policy} = $args{'policy'};
$self->{interface_name} = $args{'interface_name'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Appliance::Techpreview::Networking::Firewall::Addr::Inbound::FirewallAddressRule');
$self->set_binding_name('name' => 'com.vmware.appliance.techpreview.networking.firewall.addr.inbound.firewall_address_rule');
$self->set_binding_field('key' => 'address', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'prefix', 'value' => new Com::Vmware::Vapi::Bindings::Type::LongType());
$self->set_binding_field('key' => 'policy', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Appliance::Techpreview::Networking::Firewall::Addr', 'type_name' => 'Inbound::FirewallRulePolicy'));
$self->set_binding_field('key' => 'interface_name', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
bless $self, $class;
return $self;
}

public method Com::Vmware::Appliance::Techpreview::Networking::Firewall::Addr::Inbound::FirewallAddressRule::set_address | ( |  | ) |

Sets the given value for 'address' property.

Parameters

  address | - New value for the field. IPv4 or IPv6 address.

Code:
click to view
# Number of lines of code in set_address: 5
sub set_address {
my ($self, %args) = @_;
$self->{'address'} = $args{'address'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Networking::Firewall::Addr::Inbound::FirewallAddressRule::set_interface_name | ( |  | ) |

Sets the given value for 'interface_name' property.

Parameters

  interface_name | - New value for the field. The interface to which this rule applies. An empty string or "*" indicates that the rule applies to all interfaces.

Code:
click to view
# Number of lines of code in set_interface_name: 5
sub set_interface_name {
my ($self, %args) = @_;
$self->{'interface_name'} = $args{'interface_name'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Networking::Firewall::Addr::Inbound::FirewallAddressRule::set_policy | ( |  | ) |

Sets the given value for 'policy' property.

Parameters

  policy | - New value for the field. The allow or deny policy of this rule.

Code:
click to view
# Number of lines of code in set_policy: 5
sub set_policy {
my ($self, %args) = @_;
$self->{'policy'} = $args{'policy'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Networking::Firewall::Addr::Inbound::FirewallAddressRule::set_prefix | ( |  | ) |

Sets the given value for 'prefix' property.

Parameters

  prefix | - New value for the field. CIDR prefix used to mask address. For example, an IPv4 prefix of 24 ignores the low-order 8 bits of address.

Code:
click to view
# Number of lines of code in set_prefix: 5
sub set_prefix {
my ($self, %args) = @_;
$self->{'prefix'} = $args{'prefix'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Appliance/Techpreview/Networking/Firewall/Addr/Inbound.pm